/v2/mgmt/thirdparty/app/createAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
{
"attribute-key": "attribute-value"
}JAR (JWT-Secured Authorization Request, RFC 9101) settings for Third Party Applications
Create a new third party application using the structured scope-claim mapping model, using a valid management key. The legacy attributesScopes field is ignored.
curl -X POST "https://api.descope.com/v2/mgmt/thirdparty/app/create" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "cleartext": "string", "clientId": "string"}export interface Response {id?: stringcleartext?: stringclientId?: string}Add a named third party application secret POST
Add a new named client secret to a third party application, using a valid management key. Returns the new secret metadata and its cleartext value (shown only once).
Load all third party applications (v2) POST
Loads all third party applications in the structured scope-claim mapping model, using a valid management key. Legacy attributesScopes are converted to scopeClaimMapping and returned empty.